Subject: RE: ksh93? -- also u/win question
From: "McCunney, Dennis" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 8 Feb 2001 15:07:44 -0500

> -----Original Message-----
> From: Christopher Faylor [mailto:[email-masked]]
> Sent: Thursday, February 08, 2001 12:20 AM
> To: [email-masked]
> Subject: Re: ksh93? -- also u/win question
> 
> On Thu, Feb 08, 2001 at 12:01:33AM -0500, Dennis McCunney wrote:
> >>Can you give an example of some of the clever ideas in uwin?  I know
> >>that they have some sort of setuid daemon or something like 
> >>that but it has been a while since I really investigated U/WIN.
> >
> >The main thing of interest is that Global Technologies, Ltd, the
> >commercial liscensing outfit that sells supported commercial versions
> >of U/WIN, has successfully ported GNOME to it.  They claim it took
> >under two weeks to port 4 million lines of code, and less than one
> >hundred lines of source changes were required.
> 
> Yeah, I saw that.  I imagine that porting to Cygwin would be 
> similar.  Hmm. I think it may already be done.  Should we 
> announce this to the world, too?

If you can confirm that someone _has_ done it, with a pointer to where a
working port may be found, yes, certainly!  A real freely available
alternative to the GTL product would be a boon, _especially_ if it works
under Suhiab's XFree86 port.
 
> I got contacted by one of the people from Global Technologies 
> a while ago. He was asking about the Cygwin Xfree86 project that 
> Suhaib Siddiqi is heading.
> 
> He saw a lot of "overlap between the product lines" and was picking my

Gee, what a surprise...

> brains for exactly how much of the Xfree86 port and gcc he could package
> with his software.  My feeling was that he wanted to find out how much
> he could use for free.

He might have problems with the GPL. :-)
 
> I would be thrilled to collaborate with the guys at AT&T but 

That would be extremely cool.  David Korn might have to be sold on the idea
that having Cygwin and U/WIN pursuing competing approaches to the same goal,
and sharing ideas and code would be a good thing for everyone.  I think
there's room in the market for two such solutions, and cooperation would be
to everyone's benefit.

> somehow I don't see much happening with the people who are trying 
> to sell U/WIN commercially.

If they switch to an "open source, make money selling service and support"
model, there may be possibilites.  If they don't, I don't see much hope.

Speaking of which, has anyone compared the AT&T open source liscense on ksh
with the GPL?  My offhand guess is that ksh93 could be ported to cygwin, but
liscense details might prevent it from being included as part of the main
Cygwin distribution.

(I'm a ksh user.  I'd love to have the real thing under Cygwin.  For that
matter, I'd be really interested in a tksh port, once the issues that
prevent Tcl-Tk from being fully Cygwin aware get sorted out.)
 
> cgf
______
Dennis

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple